@echo off


if not "%JAVA_HOME%" == "" goto CHECK_DC_HOME
echo JAVA_HOME is not set.  
echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
goto END

:CHECK_DC_HOME
if not "%DATACOLLECTOR_HOME%" == "" goto CHECK_ARGS
echo DATACOLLECTOR_HOME is not set.
echo Set DATACOLLECTOR_HOME to the directory where DC is installed.
goto END

:CHECK_ARGS
if "%1" == "" goto USAGE
if not "%3" == "" goto USAGE
goto CONTINUE

:USAGE
echo There has to be either one or two arguments.  
echo If there is only one argument, then the argument must be a [-genkey].
echo If there are two arguments, then the following arguments are valid:
echo      "[-encrypt <input>] [-decrypt <input>] [-encryptPropertyFile <file>] [-decryptPropertyFile <file>]"  
goto END  

:CONTINUE
set PATH=%JAVA_HOME%\bin;%PATH%
set CP=%DATACOLLECTOR_HOME%\toolkit\lib\ext\tk_utils.jar

java -cp .;%CP%   com.ibm.tivoli.itcam.toolkit.util.crypto.AMCryptoManager %1 %2

:END
