#!/bin/sh
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2005  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# @(#)63   1.3   ppe.probe/src/bin/paswdGen.sh, am_ppe.probe, itcam61, 20061116A 1/11/05 12:57:59
#
# (c) 2002-2004 Cyanea Systems Corp.
# All Rights Reserved
#

# Set environment variables.

#myDir=`dirname ${0}`
#myName=`basename ${0}`

#if [ -f ${myDir}/setenv.sh ]
#then
#        . ${myDir}/setenv.sh
#fi

#######################################################
# Please define these variables to run the script
#######################################################

#JAVA_HOME=/opt/WebSphere/AppServer406/java
#CYANEA_HOME=/opt/dc5

#############################################
#  This is no longer needed
#############################################
#WAS_HOME=/opt/WebSphere/AppServer406

# The directory where cyanea native library is present
#NATIVE_LIB_PATH_DIR=$WAS_HOME/bin

PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    EXTSHM=ON
    LIBPATH="$NATIVE_LIB_PATH_DIR":$LIBPATH
    export LIBPATH EXTSHM ;;
  Linux)
    LD_LIBRARY_PATH="$NATIVE_LIB_PATH_DIR":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    LD_LIBRARY_PATH="$NATIVE_LIB_PATH_DIR":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    SHLIB_PATH="$NATIVE_LIB_PATH_DIR":$SHLIB_PATH
    export SHLIB_PATH ;;
esac


######################################################
# User does not have to modify these variables
#######################################################

CLASSPATH=.
CLASSPATH=$CLASSPATH:$CYN_LIBS/kernel.common.jar
CLASSPATH=$CLASSPATH:$CYN_LIBS/ppe.probe.jar
CLASSPATH=$CLASSPATH:$CYN_LIBS/ppe.probe-intf.jar
CLASSPATH=$CLASSPATH:$CYANEA_HOME/lib/ext/kernel.common.jar
CLASSPATH=$CLASSPATH:$CYANEA_HOME/lib/ext/ppe.probe.jar
CLASSPATH=$CLASSPATH:$CYANEA_HOME/lib/ext/ppe.probe-intf.jar

CMD="$JAVA_HOME/bin/java -classpath $CLASSPATH -Dcyanea.home=$CYANEA_HOME com.cyanea.probe.AdminCred $* "

echo $CMD

$CMD
